#!/bin/bash
#
# 
# Installation script for Omega/LaTeX packages for Malayalam (Extra Fonts)
#
# Alex A.J. <indicTeX@gmail.com>
#
#
#
#
#
echo -e "\nInstallation script for Omega/LaTeX packages for Malayalam (Extra Fonts)"
echo -e "Alex A.J. <indicTeX@gmail.com>\n"
echo -e "Starting installation...\n"


echo -e "TEXMF root directory (Press <ENTER> if the default is ok)"
echo -e "(The default should be ok for most Linux systems)"
echo -e "Caution: DO NOT type / at the end of directory name\n"
echo -e "(/usr/share/texmf): \c"
read texdir
if [ "$texdir" = "" ]
then
   texdir="/usr/share/texmf"
fi

echo -e "\nInstalling fonts...\n"

# The directories

mkdir -p $texdir/tex/lambda/malayalam
mkdir -p $texdir/fonts/map/dvips/malayalam
mkdir -p $texdir/fonts/type1/malayalam/ildc
mkdir -p $texdir/fonts/tfm/malayalam/ildc

# The files

cp -f ./pfb/*.pfb $texdir/fonts/type1/malayalam/ildc
cp -f ./tfm/*.tfm $texdir/fonts/tfm/malayalam/ildc
cp -f ./fd/*.fd $texdir/tex/lambda/malayalam
cp -f *.map $texdir/fonts/map/dvips/malayalam

# Post installation commands

texhash
updmap-sys --enable Map ildc-cdac-ml.map

echo -e "\n\nInstallation of ILDC C-DAC Fonts for Malayalam completed successfully.\n"



#
#End of file
